package main

import (
	"fmt"

	_ "git.paulbsd.com/paulbsd/dip/packrd"
	"git.paulbsd.com/paulbsd/dip/src/page"
	"git.paulbsd.com/paulbsd/dip/src/static"
	"git.paulbsd.com/paulbsd/dip/src/templates"
	"git.paulbsd.com/paulbsd/dip/utils"
	"github.com/gobuffalo/packr/v2"
	"github.com/labstack/echo/v4"
	//"github.com/markbates/pkger"
)

func main() {
	e := echo.New()
	e.HideBanner = true

	var host, port string
	var p page.Page
	p.Title = "Public IP Address Service"

	utils.Flags(&host, &port)

	templatesbox := packr.New("templates", "./templates")
	staticbox := packr.New("static", "./static")

	builtTemplates, _ := templates.BuildTemplates(templatesbox)
	e.Renderer = builtTemplates

	e.GET("/", p.Index)
	e.GET("/static/*", func(c echo.Context) error {
		return static.Static(staticbox, c)
	})

	e.Logger.Fatal(e.Start(fmt.Sprintf("%s:%s", host, port)))
}
