package page

import (
	"net/http"
	"strings"

	"git.paulbsd.com/paulbsd/dip/src/ip"
	"git.paulbsd.com/paulbsd/dip/src/templates"
	"github.com/labstack/echo/v4"
)

// Index returns main webpage
func (p *Page) Index(c echo.Context) (err error) {
	var ip ip.IP

	ip.GetIPInfo(c)

	p.IP = &ip

	if strings.Contains(c.Request().Header.Get(echo.HeaderAccept), echo.MIMETextHTML) {
		return c.Render(http.StatusOK, "index.html", p)
	}
	return c.JSONPretty(http.StatusOK, ip, " ")
}

// Page defines Web page
type Page struct {
	Title     string
	Templates *templates.Template
	IP        *ip.IP
}
